Bug 1323174 - python-w3lib: Provide a Python 3 subpackage [NEEDINFO]
Summary: python-w3lib: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-w3lib
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Bruno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
TreeView+ depends on / blocked
 
Reported: 2016-04-01 12:42 UTC by Tomas Orsava
Modified: 2016-09-07 11:33 UTC (History)
4 users (show)

Fixed In Version: python-w3lib-1.14.3-1.fc26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-07 11:33:45 UTC
mhroncok: needinfo? (dbruno)


Attachments (Terms of Use)
patch for specfile: add Python 3 & version update (3.99 KB, patch)
2016-06-15 09:13 UTC, Dominika Krejčí
no flags Details | Diff
update to 1.14.3 and add Python 3 (3.96 KB, patch)
2016-07-27 13:17 UTC, Dominika Krejčí
no flags Details | Diff

Description Tomas Orsava 2016-04-01 12:42:12 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Dominika Krejčí 2016-06-15 09:13:50 UTC
Created attachment 1168268 [details]
patch for specfile: add Python 3 & version update

Hi Daniel,
here is the change needed to add Python 3 support and update to the latest version. Could you please review it and do the update?

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14498569

Also tested in Mock (fedora-22-x86_64, fedora-23-x86_64, fedora-24-x86_64, fedora-rawhide-i386, fedora-rawhide-x86_64).

Comment 2 Jan Kurik 2016-07-26 04:12:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 3 Dominika Krejčí 2016-07-27 13:17:26 UTC
Created attachment 1184655 [details]
update to 1.14.3 and add Python 3

There is a new patch for the latest version of the package.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15035870

Comment 4 Lumír Balhar 2016-07-27 13:32:09 UTC
Patch looks good to me.

Comment 5 Miro Hrončok 2016-08-16 10:44:17 UTC
Daniel,
do you mind if I push this? If you don't reply in a week, I assume it's OK.


Note You need to log in before you can comment on or make changes to this bug.